/*
 * 本範程式為Arduino結合4位7段LED模組的範例程式
 * 針對4位，且有4個小數點的款式，模組是由2個74HC595控制
 * 程式由傑森創工提供
 * 由LuBossCzech/Led4digit74HC595範例程式進行簡化改寫
 * 
 * 請先安裝LuBossCzech/Led4digit74HC595函式庫，
 * 下載網址：
 * https://github.com/LuBossCzech/Led4digit74HC595
 * 
 * 粉絲團：https://www.facebook.com/jasonshow
 * 傑森創工購物網：https://www.jmaker.com.tw/
 * 傑森創工部落格：https://blog.jmaker.com.tw/
 */

#include <Led4digit74HC595.h>

Led4digit74HC595 myLedDisplay(A2, A1, A0);	// 接腳:(SCLK, RCLK, DIO)


void setup() {
  	Serial.begin(9600);
  	Serial.println("Start...");
	  myLedDisplay.setDecimalPoint(3); //顯示第幾個小數點，最右側向左邊算起為1,2,3,4
}


void loop() {  
	myLedDisplay.loopShow();	// 每一次loop都要呼叫這個函式
  myLedDisplay.setNumber(2782);  //顯示數字內容
}
